## ripe-atlas-sagan 1.2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RIPEAtlasSagan.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RIPEAtlasSagan.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RIPEAtlasSagan"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RIPEAtlasSagan"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ripe-atlas-sagan 1.1.8

=== debian/changelog ===
ripe-atlas-sagan (1.1.8-1) unstable; urgency=low

  * Initial release (Closes: #807936)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Dec 2015 23:52:07 +0200

=== debian/control ===
Source: ripe-atlas-sagan
Section: python
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python3-setuptools,
               python-all,
               python3-all,
               python-dateutil,
               python3-dateutil,
               python-tz,
               python3-tz,
               python-ipy,
               python3-ipy,
               python-openssl,
               python3-openssl,
               python-nose,
               python3-nose,
               python-sphinx
Standards-Version: 3.9.6
Homepage: https://github.com/RIPE-NCC/ripe.atlas.sagan
#Vcs-Git: git://anonscm.debian.org/collab-maint/ripe-atlas-sagan.git
#Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ripe-atlas-sagan.git;a=summary

Package: python-ripe-atlas-sagan
Architecture: all
Depends: python-dateutil, python-tz, python-ipy,
 python-openssl, ${misc:Depends}, ${python:Depends}
Description: Python library for parsing RIPE Atlas measurement results
 Ripe Atlas Sagan is a Python library for parsing RIPE Atlas measurement
 results. It aims at providing a consistent high-level interface for a rapidly
 changing low-level format used by the RIPE Atlas probes. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.

Package: python3-ripe-atlas-sagan
Architecture: all
Depends: python3-dateutil, python3-tz, python3-ipy,
 python3-openssl, ${misc:Depends}, ${python:Depends}
Description: Python3 library for parsing RIPE Atlas measurement results
 Ripe Atlas Sagan is a Python library for parsing RIPE Atlas measurement
 results. It aims at providing a consistent high-level interface for a rapidly
 changing low-level format used by the RIPE Atlas probes. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the Python3 library.

Package: python-ripe-atlas-sagan-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for parsing RIPE Atlas measurement results (documentation)
 Ripe Atlas Sagan is a Python library for parsing RIPE Atlas measurement
 results. It aims at providing a consistent high-level interface for a rapidly
 changing low-level format used by the RIPE Atlas probes. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the library's documentation.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ripe-atlas-sagan

include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf ripe.atlas.sagan.egg-info
	rm -rf docs/_build

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -rf debian/python3-ripe-atlas-sagan/usr/bin

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

## ripe-atlas-sagan 1.1.10

=== debian/changelog ===
ripe-atlas-sagan (1.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Set Maintaner to DPMT.
  * Bump standards to 3.9.7; no changes needed.
  * Use HTTPS for Vcs-Git.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 09 Mar 2016 18:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ripe-atlas-sagan
 Section: python
 Priority: optional
-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-setuptools,
@@ -19,10 +20,10 @@
                python-nose,
                python3-nose,
                python-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/RIPE-NCC/ripe.atlas.sagan
-#Vcs-Git: git://anonscm.debian.org/collab-maint/ripe-atlas-sagan.git
-#Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ripe-atlas-sagan.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ripe-atlas-sagan.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=python-modules/packages/ripe-atlas-sagan.git;a=summary
 
 Package: python-ripe-atlas-sagan
 Architecture: all

## ripe-atlas-sagan 1.1.11

=== debian/changelog ===
ripe-atlas-sagan (1.1.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards to 3.9.8; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 11 Sep 2016 21:46:20 +0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python-nose,
                python3-nose,
                python-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/RIPE-NCC/ripe.atlas.sagan
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ripe-atlas-sagan.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=python-modules/packages/ripe-atlas-sagan.git;a=summary

## ripe-atlas-sagan 1.2.2

=== debian/changelog ===
ripe-atlas-sagan (1.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Apply multi-arch hints.
    + python-ripe-atlas-sagan-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:01:36 -0400

ripe-atlas-sagan (1.2.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Aug 2019 12:22:21 +0500

ripe-atlas-sagan (1.2.2-1) unstable; urgency=medium

  * Acknowledge NMU by Nicolas Braud-Santoni
  * Bump Standards-Version to 4.1.5; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 18 Jul 2018 11:31:40 +0300

ripe-atlas-sagan (1.2.2-0.1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * Non-maintainer upload.
  * New upstream release (2017-08-31)
    - Closes: #893763
    - Replace dependency on pyOpenSSL with python-cryptography
  * Declare compliance with Debian policy version 4.1.3
    No change required
  * Switch to debhelper compat level 11

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Apollon Oikonomopoulos ]
  * Use ${python3:Depends} for the Python 3 library
    Closes: #867467

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 22 Mar 2018 03:19:20 +0100

=== debian/control ===
Source: ripe-atlas-sagan
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-dateutil,
               python3-tz,
               python3-ipy,
               python3-cryptography,
               python3-nose,
               python3-sphinx
Standards-Version: 4.1.5
Homepage: https://github.com/RIPE-NCC/ripe.atlas.sagan
Vcs-Git: https://salsa.debian.org/python-team/packages/ripe-atlas-sagan.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ripe-atlas-sagan

Package: python3-ripe-atlas-sagan
Architecture: all
Depends: python3-dateutil, python3-tz, python3-ipy,
 ${misc:Depends}, ${python3:Depends}
Description: Python3 library for parsing RIPE Atlas measurement results
 RIPE Atlas Sagan is a Python library for parsing RIPE Atlas measurement
 results. It aims at providing a consistent high-level interface for a rapidly
 changing low-level format used by the RIPE Atlas probes. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the Python3 library.

Package: python-ripe-atlas-sagan-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python library for parsing RIPE Atlas measurement results (documentation)
 RIPE Atlas Sagan is a Python library for parsing RIPE Atlas measurement
 results. It aims at providing a consistent high-level interface for a rapidly
 changing low-level format used by the RIPE Atlas probes. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the library's documentation.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ripe-atlas-sagan

include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf ripe.atlas.sagan.egg-info
	rm -rf docs/_build

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

## ripe-atlas-sagan 1.3.1

=== debian/changelog ===
ripe-atlas-sagan (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Replace obsolete python3-tz dependency with python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 20:53:23 +0200

ripe-atlas-sagan (1.3.1-1) unstable; urgency=medium

  * Team Upload
  * Update watch file for new GitHub API
  * New upstream version 1.3.1
  * Replace nose with pytest (Closes: #1018614)
  * Skip failing test_invalid_country_code (Closes: #1026529)
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 Aug 2024 22:51:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,33 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-setuptools,
-               python3-all,
-               python3-dateutil,
-               python3-tz,
-               python3-ipy,
-               python3-cryptography,
-               python3-nose,
-               python3-sphinx
-Standards-Version: 4.1.5
+Uploaders:
+ Apollon Oikonomopoulos <apoikos@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-cryptography,
+ python3-dateutil,
+ python3-ipy,
+ python3-pytest,
+ python3-pytz,
+ python3-setuptools,
+ python3-sphinx,
+Standards-Version: 4.7.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/RIPE-NCC/ripe.atlas.sagan
 Vcs-Git: https://salsa.debian.org/python-team/packages/ripe-atlas-sagan.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ripe-atlas-sagan
 
 Package: python3-ripe-atlas-sagan
 Architecture: all
-Depends: python3-dateutil, python3-tz, python3-ipy,
- ${misc:Depends}, ${python3:Depends}
+Depends:
+ python3-dateutil,
+ python3-ipy,
+ python3-pytz,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python3 library for parsing RIPE Atlas measurement results
  RIPE Atlas Sagan is a Python library for parsing RIPE Atlas measurement
  results. It aims at providing a consistent high-level interface for a rapidly
@@ -34,7 +41,9 @@
 Package: python-ripe-atlas-sagan-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: Python library for parsing RIPE Atlas measurement results (documentation)
  RIPE Atlas Sagan is a Python library for parsing RIPE Atlas measurement

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=ripe-atlas-sagan
export PYBUILD_TEST_ARGS=tests/*.py -k 'not test_invalid_country_code'

include /usr/share/dpkg/default.mk

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	make -C docs html

=== debian/watch ===
version=4
https://github.com/RIPE-NCC/ripe.atlas.sagan/tags .*/v(.*).tar.gz

## ripe-atlas-sagan 2.0.0

=== debian/changelog ===
ripe-atlas-sagan (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Rewrite d/watch in v5 format
  * New upstream version 2.0.0
  * Add debian/salsa-ci.yml
  * Remove old Nose patch

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Dec 2025 18:15:38 +0100

=== debian/watch ===
Version: 5

Template: GitHub
Owner: RIPE-NCC
Project: ripe.atlas.sagan
